<?php
/**
* _______________________________________________
* | knappschaft.php: Knappen fr Jedermann      |
* |                                             |
* |    !!! WICHTIG !!!  VORAUSSETZUNG !!!       |
* |  LoGD 0.9.7 ext. Dragonslayer Edition 2.5   |
* |                                             |
* | hiermit soll es jedem mglich sein, einen   |
* | Knappen zu kaufen, trainieren, umbenennen   |
* | verkaufen oder seine Runden zu erhhen      |
* |                                             |
* | 2009 by Liath www.germany-project.de/logd  |
* | programmiert in der LoGD DragonSlayer 2.5   |
* |                                             |
* | fertiggestellt:                             |
* | am 05. Februar 2009 um 14 Uhr             |
* |                                             |
* | Benutzung, Vernderungen, Verschnerungen,  |
* | oder auch eigene Anpassungen sind erlaubt,  |
* | solange dieser Header beibehalten wird und  |
* | die Datei im Source offen gehalten wird.    |
* |                                             |
* | Changelog:                                  |
* |                                             |
* | 06.02.09 Danke an Salator fr die Hinweise  |
* | Einbau, das Namenslnge geprft wird        |
* | Namen werden gefiltert (add/stripslash)     |
* | Einbau fr Trainingsmaximum                 |
* | Knappe kann nun wieder hergestellt werden   |
* | Alte unntig SQL-Abfrage entfernt           |
* | Eingabeformulare abgendert                 |
* |                                             |
* 
* 
* Eigene Vernderungen drfen ab hier
* gekennzeichnet werden:
* _______________________________________________ 
* | Author:                                     |
* | Changed:                                    |
* | Date:                                       |
* 
* 
**/

/**
* _______________________________________________ 
* | Einbauanleitung fr die Dragonslayer 2.5    |
* |                                             |
* | Diese Datei ist auf die Insel Necron        |
* | ausgelegt, solltest Du diese Insel nicht    |
* | bei Dir haben oder mchtest diese Datei     |
* | an einem anderen Ort einfgen, brauchst     |
* | Du nur Die Variable "$dorf" an den Ort      |
* | Deiner Wahl anzupassen und die Datei dort   |
* | zu verlinken wo Du es hinhaben mchtest:    |
* |                                             |
* | addnav("Knappschaft","knappschaft.php");    |
* |                                             |
* | danach die Datei in den Rootpath von Deinem |
* | LoGD kopieren, nderungen speichern, fertig |
* 
*/

require_once('common.php');
require_once(LIB_PATH.'disciples.lib.php');

page_header('die Knappschaft');

// Einstellung fr den Backlink
$dorf = 'necron.php';
$ortname = 'zurck nach Necron';

// Einstellungen fr die Knappen
# Level 5
$k1_gold = 100000;
$k1_gems = 25;
$k1_level = 5;
# Level 10
$k2_gold = 150000;
$k2_gems = 35;
$k2_level = 10;
# Level 15
$k3_gold = 200000;
$k3_gems = 50;
$k3_level = 15;
# Level 20
$k4_gold = 500000;
$k4_gems = 75;
$k4_level = 20;

// Bestimmung des Accountnamens, der Anrede und des Geschlechts
$u = $session['user'];
$anr = ($u['sex']?"`#Teure`y":"`#Teuerster`y");
$name = $u['name'];

// Abfrage der Datenbank nach existierendem Knappen
$sql = "SELECT name,state,oldstate,level FROM disciples WHERE master=".$u['acctid']."";
$result = db_query($sql) or die(db_error(LINK));
$row = db_fetch_assoc($result);

// Bestimmung der Daten des Knappen und der maximalen Namenslnge
$klevel = $row['level'];
$kmaster = $row['master'];
$kname = $row['name'];
$kstate = get_disciple_stat($row['state']);
$kostate = get_disciple_stat($row['oldstate']);
$klen = 25;

// Bestimmung des Restwertes des Knappen
$kgold = round(((200000 * $klevel) / 50),0);   
$kgems = round(((50 * $klevel) / 50),0);

// Kosten fr die Suche berechnen
$sgold = round(((250000 * $klevel) / 25),0);   
$sgems = round(((100 * $klevel) / 25),0);

// Kosten fr das Training berechnen und maximaler Level
$tgold = round(((250000 * $klevel) / 50),0);   
$tgems = round(((100 * $klevel) / 50),0);
$tlevel = 45;

// Kosten fr die Regenerierung berechnen
$rlevel = $session['bufflist']['decbuff']['rounds'];
$rgold = round(((250000 * $klevel) / 75),0);   
$rgems = round(((100 * $klevel) / 75),0);
// Einstellungen Ende

// Ausgabetext bei betreten der Knappschaft
output("`c`yber der Tr hngt ein grosses Schild,`n`n`b`4Knappschaft, wir trainieren die besten Knappen im Land.`y`b`n Gegen einen Entschdigungsaufwand
        knnen Sie bei uns die besten Knappen erwerben.`n`n
");

// Das anzuzeigende Bild wird bestimmt
$img_knapp = './images/knappschaft.jpg';

// Es wird berprft ob das Bild existiert, wenn ja angezeigt
if (is_file($img_knapp)) { output('<div align="center"><img border="0" src="'.$img_knapp.'" alt="die Knappschaft"></div>`n`n'); }

if ($_GET['op']=="") {
    if (db_num_rows($result)>0) {
        
        // Abfrage nach Status des Knappen
        if ($row['state']>=1) {
            
            // Textausgabe falls Knappe schon vorhanden
            output("`n`n`cDu hrst Schritte hinter Dir`nAaaah seid mir gegrsst ".$anr." ".$name.", womit kann ich Ihnen dienen, wie ich sehe haben Sie bereits einen Knappen.
                    `wIch hoffe Dir ist es gut ergangen `d".$kname."`w, `wDu machst einen `d".$kstate." `wEindruck und hast ja mittlerweile schon Stufe `d".$klevel."`w erreicht. `yEr war einer meiner
                    liebsten Schler mssen Sie wissen, ich erinner mich noch an einen `d".$kostate." `ySchler der er damals war.`n`nSie knnen nicht mehr wie einen Knappen 
                    besitzen. Oder mchten Sie Ihren Knappen bei uns ins Training geben?`n`n Der Meister berlegt kurz und meint darauf. Ich wrde Ihnen fr 
                    Ihren Aufwand `g".$kgold."`y Gold und `g".$kgems."`y Edelsteine anbieten, mchten Sie Ihren Knappen wieder an uns verkaufen?
            ");
        
            // Einfgen der Navigation falls Knappe schon vorhanden    
            addnav("Dein Knappe");            
            addnav("Verkaufen","knappschaft.php?op=sell");
            addnav("Umtaufen","knappschaft.php?op=rename");
            addnav("Trainieren","knappschaft.php?op=train");
            addnav("Aufbauen","knappschaft.php?op=kur");
            addnav("Verlassen");
            addnav("$ortname","$dorf");
        }
        else {
            
            // Textausgabe falls Knappe schon vorhanden
            output("`n`n`cDu hrst Schritte hinter Dir`nAaaah seid mir gegrsst ".$anr." ".$name.", womit kann ich Ihnen dienen, in Ihren Diensten steht ja bereits ein Knappe.
                    aber ich kann ihn nirgends sehen. Ist ".$kname." etwa... Nein das kann ich mir nicht vorstellen, er war doch immer in so guter Schler. Lassen Sie uns mal
                    schauen ob wir etwas tun knnen. Das wird allerdings nicht billig mssen Sie wissen. Das ganze wird Sie ".$sgold." Gold und ".$sgems." Edelsteine kosten.
            ");
        
            // Einfgen der Navigation falls Knappe tot ist    
            addnav("Dein Knappe");            
            addnav("Suchen","knappschaft.php?op=search");
            addnav("Verlassen");
            addnav("$ortname","$dorf");
        }    
    }
    else {
        
        // Textausgabe falls noch kein Knappe vorhanden ist
        output("`n`n`cDu hrst Schritte hinter Dir`nAaaah seid mir gegrsst ".$anr." ".$name.", womit kann ich Ihnen dienen, wie ich sehe habt Ihr noch keinen Knappen... ich hab hier ein paar sehr gute Schler, 
                Wollen Sie einen gegen einen geringen Entschdigungsaufwand fr das viele Training bei uns erwerben? Schauen Sie sich ruhig um und sagen Sie mir Bescheid, wenn Sie sich entschieden
                haben stehe ich Ihnen gerne zur Verfgung. Aber zgern Sie nicht zu lang, unsere Knappen sind die bestrainiertesten des ganzen Landes und dementsprechend gefragt.
        ");
        
        // Einfgen der generellen Navigation
        addnav("Knappen");
        addnav("Knappen kaufen","knappschaft.php?op=buy");        
        addnav("Verlassen");
        addnav("$ortname","$dorf");
    }    
}
else if ($_GET['op']=="search") {
    // Textausgabe falls noch kein Knappe vorhanden ist
    output("`n`n`Der Meister verschwindet fr kurze Zeit, whrend Du wartest schaust Du den anderen beim Training zu. Nach einer Weile kommt der Meister wieder und meint.
            Also ".$anr." ".$name." Ich habe Ihren Knappen gefunden und Ihn fr Sie zurckgeholt, bitte passen Sie das nchste mal besser auf ihn auf.
    ");
    
    // Abzug der Bezahlung fr die Suche
    $session['user']['gold']+=$sgold;
    $session['user']['gems']+=$sgems;
    
    // Wiederherstellen des Status und eintragen in Bufflist
    $kbuff = array("startmsg"=>"`n`^Dein Knappe freut sich bei Dir zu sein.`&`n`n"
                            ,"name"=>"$kname `y"
                            ,"rounds"=>500
                            ,"minioncount"=>1
                            ,"defmod"=>1.25
                            ,"atkmod"=>1.25
                            ,"minbadguydamage"=>round($session['user']['level'])
                            ,"maxbadguydamage"=>round($session['user']['level']*2)
                            ,"effectmsg"=>"`yDein Knappe richtet`g {badguy} `ymit `4{damage} `ySchadenspunkten bel zu."
                            ,"wearoff"=>"Dein Knappe zieht sich zur Meditation zurck"
                            ,"activate"=>"roundstart");
                            
    $session['bufflist']['decbuff'] = $kbuff;
    $sql = "UPDATE disciples SET state=".$row['oldstate']." WHERE master=".$u['acctid']."";
    db_query($sql);
    
    // Einfgen der Navigation ob Knappe verkauft werden soll
    addnav("Wege");
    addnav("zurck zur Knappschaft","knappschaft.php");
    addnav("$ortname","$dorf");
}

else if ($_GET['op']=="sell") {
    if ($_GET['act']=="") {
        
        // Textausgabe ob Knappe verkauft werden soll
        output("Wollen Sie wirklich Ihren Knappen verkaufen? `d".$row['name']."`y war immer ein sehr guter Schler und ist ja mittlerweile auch auf Level `d".$klevel."`y aufgestiegen.
                Sie sollten sich Ihren Scritt wirklich noch einmal gut berlegen ".$anr." ".$name.", aber wie gesagt. Ich gebe Ihnen`g ".$kgold." `yGold und`g ".$kgems." `yEdelsteine fr Ihren Knappen.`n`n`n`n
        ");
        
        // Einfgen der Navigation ob Knappe verkauft werden soll
        addnav("Verkaufen?");
        addnav("Ja","knappschaft.php?op=sell&act=ja");
        addnav("Nein","knappschaft.php?op=sell&act=nein");
        addnav("Wege");
        addnav("zurck zur Knappschaft","knappschaft.php");
        addnav("$ortname","$dorf");
        
    }
    else if ($_GET['act']=="ja") {
        
        // Textausgabe das Knappe verkauft wurde
        output("Ich bedauere es sehr, da Sie mit unserem Schler nicht zufrieden waren, wir werden ihn umgehend wieder ins Training schicken. Natrlich bekommen sie auch das Gold und die Edelsteine
                die ich Ihnen zugesichert habe. Ich hoffe dennoch Sie bald wieder als unseren Gast begrssen zu drfen ".$anr." ".$name.".`n`n`n`n
        ");
        
        // Hinzurechnen des Restwertes
        $session['user']['gold']+=$kgold;
        $session['user']['gems']+=$kgems;
        
        // Lschen des Knappen aus der Datenbank
        unset($session['bufflist']['decbuff']);
        $sql="DELETE FROM disciples WHERE master=".$u['acctid'];
        db_query($sql);
        
        // Einfgen der Navigation
        addnav("Wege");
        addnav("zurck zur Knappschaft","knappschaft.php");
        addnav("$ortname","$dorf");
    }
    else if ($_GET['act']=="nein") {
        
        // Textausgabe das Knappe nicht verkauft wurde
        output("Aaah ".$anr." ".$name.", ich wusste Sie wrden es sich anders berlegen. Einen besseren Knappen werden Sie nirgends anders finden`n`n`n`n");

        // Einfgen der Navigation
        addnav("Wege");
        addnav("zurck zur Knappschaft","knappschaft.php");
        addnav("$ortname","$dorf");
    }    
}
else if ($_GET['op']=="rename") {
    if ($_GET['act']=="") {
        
        // Textausgabe fr die Umbenennung des Knappen
        output("Es freut mich Sie wiederzusehen ".$anr." ".$name.", Sie mchten Ihrem Knappen einen neuen Namen geben?
                Whlen Sie den Namen sorgfltig aus, eine Eintragung in das Einwohnerbuch wird sich vom Staat teuer bezahlen
                lassen. Zur Zeit kostet die Eintragung 2500 Gold und 5 Edelsteine. Wenn Sie mchten whlen Sie jetzt einen
                neuen Namen fr Ihren Knappen.
        ");
        
        // Hinzufgen der Navigation ob Knappe umbenannt werden soll
        addnav("umbenennen?");
        addnav("Ja","knappschaft.php?op=rename&act=ja");
        addnav("Nein","knappschaft.php?op=rename&act=nein");
        addnav("Wege");
        addnav("zurck zur Knappschaft","knappschaft.php");
        addnav("$ortname","$dorf");
    }
    else if ($_GET['act']=="ja") {
        if ($u['gold']>=2500 && $u['gems']>=5) {
            
            // Textausgabe das Knappe umbenannt wird
            output("Nun gut ".$anr." ".$name.", bitte schreiben Sie den neuen Namen Ihres Knappen in unser Buch, damit wir ihn
                    im Dorfamt auf den neuen Namen taufen lassen knnen. Die Unkosten hinterlassen Sie dann bitte am Ausgang.
                    Wir werden alle Formalitten fr Sie erledigen`n`n
            ");
            
            // Namenseingabefeld wird erstellt
            output("<form action='knappschaft.php?op=rename&act=done' method='POST'>`n`n`wDein Knappe heisst derzeit`d ".$kname."`w`n`n",true);
            output("`wWelchen Namen soll er nun tragen? <input id='rename' name='name' size='25' maxlength='".$klen."'> <input type='submit' class='button' value='Umbenennen'>`n`n</form>",true);
            output("<script language='javascript'>document.getElementById('rename').focus();</script>",true);
            addnav("","knappschaft.php?op=rename&act=done");
            
            // Einfgen der Navigation
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
        else {
                    
            // Textausgabe das Knappe mangels Deckung nicht umbenannt wurde
            output("Nun gut ".$anr." ".$name.", wenn Sie Ihren Knappen umbenennen wollen, mssen Sie schon dafr sorgen, da
                    auch das Dorfamt dafr bezahlt wird. Wir knnen die Kosten nicht aus unserer Tasche fr Sie bezahlen.
            ");
        
            // Einfgen der Navigation     
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }    
    }
    else if ($_GET['act']=="done") {
        // Abfrage ob Name eingetragen wurde
        if ($_POST['name']) {
                                         
            // Name wird gespeichert
            $newname=addslashes(stripslashes($_POST['name']));
            
            // Abfrage ob Name Zeichenlnge berschreitet
            if(strlen($newname)<=$klen) {            
                // Textausgabe das der Name gendert wurde
                output("Nun gut, ".$anr." ".$name." Ihr Knappe ".$kname." ist von nun an unter dem Namen ".$newname." bekannt, sollten
                        Sie irgendwann mit diesem Namen nicht mehr zufrieden sein, helfen wir Ihnen natrlich gerne weiter.
                        ");
             
                // Name wird in der Datenbank und in den Buffs gendert
                $session['bufflist']['decbuff']['name']='`%Knappe '.$newname.' `& ->Lvl '.$klevel.'`0';            
                $sql = "UPDATE disciples SET name='$newname' WHERE master=".$session['user']['acctid']."";
                db_query($sql);
         
                // Bezahlung abziehen
                $session['user']['gold']-=2500;
                $session['user']['gems']-=5;
         
                // Navigation hinzufgen     
                addnav("Wege");
                addnav("zurck zur Knappschaft","knappschaft.php");
                addnav("$ortname","$dorf");
            }
            else {
                // Textausgabe weil Name zu lang ist
                output("Nun gut, ".$anr." ".$name." Ihr Knappe ".$kname." kann diesen Namen leider nicht annehmen, das Dorfamt verbietet so lange
                        Namen, sollten Sie sich einen anderen ausgesucht haben, kommen Sie bitte wieder und wir kmmern uns um den Rest.
                ");
            
                // Navigation hinzufgen     
                addnav("Wege");
                addnav("zurck zur Knappschaft","knappschaft.php");
                addnav("$ortname","$dorf");
            }
        }
        else {
            
            // Textausgabe das kein Name eingetragen wurde
            output("Nun gut, ".$anr." ".$name." Ihr Knappe ".$kname." kann nicht ohne Namen in unserer Welt leben, Sie sollten ihm schon einen
                    ansprechenden Namen geben. Es sei denn Sie mchten das er seinen alten Namen beibehlt. Dann schauen wir ob wir noch etwas
                    anderes fr Sie tun knnen.
            ");
            
            // Navigation hinzufgen     
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");    
        }
    }
    else if ($_GET['act']=="nein") {
        
        // Ausgabetext Name wurde nicht gendert
        output("Nun gut ".$anr." ".$name.", natrlich entscheiden Sie selbst ob Ihr Knappe einen neuen Namen tragen soll, sollten Sie
                mit dem alten Namen nicht mehr zufrieden sein, knnen Sie uns jederzeit wieder besuchen. Wir kmmern uns dann um seine Namensnderung.
        ");
        
        // Navigation hinzufgen
        addnav("Wege");
        addnav("zurck zur Knappschaft","knappschaft.php");
        addnav("$ortname","$dorf");   
    }
}
else if ($_GET['op']=="train") {
    if ($_GET['act']=="") {
        
        // Abfrage des Level um zu hohes Training zu verhindern
        if ($klevel==$tlevel) {
            
            // Ausgabetext Knappe darf nicht mehr trainieren       
            output("`yEs freut mich Sie wiederzusehen `g".$anr." ".$name.", `ySie mchten Ihren Knappen also etwas trainieren lassen?
                    Aber da `d".$kname."`y bereits auf Level `d".$tlevel."`y ist, knnen wir ihm leider nichts mehr beibringen. Es tut
                    mit leid, aber noch hher knnen wir ihn nicht trainieren. 
                    ");
        
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");        
        }
        // Knappe darf noch trainieren
        else {        
            // Ausgabetext fr zu absolvierendes Training       
            output("Es freut mich Sie wiederzusehen ".$anr." ".$name.", Sie mchten Ihren Knappen also etwas trainieren lassen?
                    Fr eine kleine Spende in Hhe von ".$tgold." Gold und ".$tgems." Edelsteinen drfte das kein Problem sein
                    ");
        
            // Navigation hinzufgen
            addnav("Trainieren?");
            addnav("Ja","knappschaft.php?op=train&act=ja");
            addnav("Nein","knappschaft.php?op=train&act=nein");
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
    }
    else if ($_GET['act']=="ja") {
        if ($u['gold']>=$tgold && $u['gems']>=$tgems) {
            
            // Knappen Level aufsteigen lassen
            $newlevel=(int)($row['level']+1);
            $session['bufflist']['decbuff']['name']='`%Knappe '.$kname.' `& ->Lvl '.$newlevel.'`0';
            $session['bufflist']['decbuff']['rounds']=$session['bufflist']['decbuff']['rounds']-10;
            
            $sql = "UPDATE disciples SET level=".$newlevel." WHERE master=".$u['acctid']."";
            db_query($sql);
            
            // Text nach dem Training
            output("Nun gut ".$anr." ".$name.", wir werden `d".$kname."`y in unser Training integrieren. Durch das Training hat Ihr Knappe
                    jetzt Level ".$newlevel.", sollten Sie weitere Trainingseinheiten bentigen sagen Sie Bescheid. Die kleine Spende fr das 
                    Trainig hinterlegen Sie bitte am Ausgang.
            ");
            
            // Bezahlung abziehen
            $session['user']['gold']-=$tgold;
            $session['user']['gems']-=$tgems;
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
        else {
            
            // Ausgabetext das nicht die ntigen Mittel vorhanden sind
            output("Nun gut ".$anr." ".$name.", bitte kommen Sie wieder wenn Sie bereit sind die kleine Spende von ".$tgold." Gold und ".$tgems." Edelsteinen
                    zu entrichten, auch wir mssen von etwas leben und haben nichts zu verschenken. Solange Sie nicht genug Gold oder Edelsteine
                    dabei haben, nehmen Sie Ihren Knappen bitte wieder mit
            ");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
    }
    else if ($_GET['act']=="nein") {
        
        // Ausgabetext das nicht trainiert wurde
        output("Nun gut ".$anr." ".$name.", natrlich entscheiden Sie selbst ob Ihr Knappe trainieren soll oder nicht, nur bedenken Sie auch die
                Vorteile die Ihnen ein gut ausgebildeter Knappe bringt. Es lauern viele Gefahren draussen auf Sie. Drum sollten Sie einen starken
                Begleiter an Ihrer Seite nicht unterschtzen.
        ");
        
        // Navigation hinzufgen
        addnav("Wege");
        addnav("zurck zur Knappschaft","knappschaft.php");
        addnav("$ortname","$dorf");   
    }
}
else if ($_GET['op']=="kur") {
    if ($_GET['act']=="") {
        
        // Ausgabetext fr Regeneration       
        output("Es freut mich Sie wiederzusehen ".$anr." ".$name.", Sie mchten Ihren Knappen also einer Kur unterziehen?
                Derzeit knnte Ihr Knappe noch fr ".$rlevel." Runden an Ihrer Seite kmpfen, nun mssen Sie entscheiden.
                Fr eine kleine Spende in Hhe von ".$rgold." Gold und ".$rgems." Edelsteinen drfte das kein Problem sein
        ");
        
        // Navigation hinzufgen
        addnav("Ausruhen?");
        addnav("Ja","knappschaft.php?op=kur&act=ja");
        addnav("Nein","knappschaft.php?op=kur&act=nein");
        addnav("Wege");
        addnav("zurck zur Knappschaft","knappschaft.php");
        addnav("$ortname","$dorf");
    }
    else if ($_GET['act']=="ja") {
        if ($u['gold']>=$rgold && $u['gems']>=$rgems) {
            
            // Knappen Runden aufsteigen lassen
            $session['bufflist']['decbuff']['rounds']=500;
            
            // Text nach der Kur
            output("Nun gut ".$anr." ".$name.", wir werden `d".$kname."`y in unsere Kuranlage verlegen. Durch die Therapie kann Ihr Knappe
                    jetzt wieder `d500 Runden`y an Ihrer Seite kmpfen, sollten Sie weitere Regenerationseinheiten bentigen sagen Sie 
                    Bescheid. Die kleine Spende fr die Kur hinterlegen Sie bitte am Ausgang.
            ");
            
            // Bezahlung abziehen
            $session['user']['gold']-=$rgold;
            $session['user']['gems']-=$rgems;
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
        else {
            
            // Ausgabetext das nicht die ntigen Mittel vorhanden sind
            output("Nun gut ".$anr." ".$name.", bitte kommen Sie wieder wenn Sie bereit sind die kleine Spende von ".$rgold." Gold und ".$rgems." Edelsteinen
                    zu entrichten, auch wir mssen von etwas leben und haben nichts zu verschenken. Solange Sie nicht genug Gold oder Edelsteine
                    dabei haben, nehmen Sie Ihren Knappen bitte wieder mit
            ");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
    }
    else if ($_GET['act']=="nein") {
        
        // Ausgabetext das nicht trainiert wurde
        output("Nun gut ".$anr." ".$name.", natrlich entscheiden Sie selbst ob Ihr Knappe regenerieren soll oder nicht, nur bedenken Sie auch die
                Vorteile die Ihnen ein gut erholter Knappe bringt. Es lauern viele Gefahren draussen auf Sie. Drum sollten Sie einen gut erholten
                Begleiter an Ihrer Seite nicht unterschtzen.
        ");
        
        // Navigation hinzufgen
        addnav("Wege");
        addnav("zurck zur Knappschaft","knappschaft.php");
        addnav("$ortname","$dorf");   
    }
}
else if ($_GET['op']=="buy") {
    if ($_GET['level']=="") {
        
        // Ausgabetext fr den Kauf eines Knappen       
        output("Es freut mich Sie wiederzusehen ".$anr." ".$name.", Sie mchten also einen Knappen bei uns erwerben??
                Derzeit haben wir 4 verschiedene Leistungsstufen in unserem Training, suchen Sie sich einen aus und sagen
                mir dann Bescheid. Ich werde dann direkt nach meinen besten Kmpfern Ausschau halten. brigens, da wir eine
                Bruderschaft sind, haben wir alle unsere Weltlichen Namen abgelegt. Sie mssen Ihrem Knappen also noch einen
                Namen geben.
        ");
        
        // Navigation hinzufgen
        addnav("Knappen");
        addnav("Level ".$k1_level."","knappschaft.php?op=buy&level=".$k1_level."");
        addnav("Level ".$k2_level."","knappschaft.php?op=buy&level=".$k2_level."");
        addnav("Level ".$k3_level."","knappschaft.php?op=buy&level=".$k3_level."");
        addnav("Level ".$k4_level."","knappschaft.php?op=buy&level=".$k4_level."");
        addnav("Wege");
        addnav("zurck zur Knappschaft","knappschaft.php");
        addnav("$ortname","$dorf");
    }
    else if ($_GET['level']=="select") {
        if ($_POST['name']) {
            
            // Name Knappe
            $knappe=addslashes(stripslashes($_POST['name']));
            
            // Namenslnge wird geprft
            if(strlen($newname)>$klen) {
                
                // Ausgabetext das Name zu lang ist
                output("Nun gut, ".$anr." ".$name." Ihr Knappe ".$kname." kann diesen Namen leider nicht annehmen, das Dorfamt verbietet so lange
                        Namen, sollten Sie sich einen anderen ausgesucht haben, kommen Sie bitte wieder und wir kmmern uns um den Rest.
                ");
            
                // Navigation hinzufgen     
                addnav("Wege");
                addnav("zurck zur Knappschaft","knappschaft.php");
                addnav("$ortname","$dorf");
            }
            // Namenslnge ist ok Knappe wird gekauft
            else {
                // Neusetzen der Preise und des Level
                if ($_GET['id']=="1") {
                    $gold = $k1_gold;
                    $gems = $k1_gems;
                    $level = $k1_level;
                }
                else if ($_GET['id']=="2") {
                    $gold = $k2_gold;
                    $gems = $k2_gems;
                    $level = $k2_level;
                }
                else if ($_GET['id']=="3") {
                    $gold = $k3_gold;
                    $gems = $k3_gems;
                    $level = $k3_level;
                }    
                else if ($_GET['id']=="4") {
                    $gold = $k4_gold;
                    $gems = $k4_gems;
                    $level = $k4_level;
                }
            
                // Ausgabetext Knappe gekauft
                output("Eine wirklich sehr gute Wahl`y ".$anr." ".$name.", ich versichere Ihnen das ".$knappe." auf Level ".$level." Ihnen immer treu zur Seite stehen
                        wird. Ihre ".$gold." Gold und ".$gems." Edelsteine sind mit Sicherheit gut angelegt. Ich wrde mich freuen Sie fters bei
                        uns Willkommen heissen zu knnen. Sollten Sie noch eine Frage haben, sagen Sie einfach Bescheid. Ich werde alles in meiner
                        Macht stehende fr Sie tun. 
                    ");
            
                // Knappe wird erstellt und in die Datenbank eingetragen            
                $sql = "INSERT INTO disciples (name,state,level,master) VALUES ('".$knappe."',4,'$level','".$session['user']['acctid']."')";
                db_query($sql) or die(sql_error($sql));
            
                // Knappe wird in die Bufflist eintragen
                $kbuff = array("startmsg"=>"`n`^Dein Knappe freut sich bei Dir zu sein.`&`n`n"
                            ,"name"=>"$knappe `y"
                            ,"rounds"=>500
                            ,"minioncount"=>1
                            ,"defmod"=>1.25
                            ,"atkmod"=>1.25
                            ,"minbadguydamage"=>round($session['user']['level'])
                            ,"maxbadguydamage"=>round($session['user']['level']*2)
                            ,"effectmsg"=>"`yDein Knappe richtet`g {badguy} `ymit `4{damage} `ySchadenspunkten bel zu."
                            ,"wearoff"=>"Dein Knappe zieht sich zur Meditation zurck"
                            ,"activate"=>"roundstart");
                                        
                $session['bufflist']['decbuff'] = $kbuff;
            
                // Bezahlung abziehen
                $session['user']['gold']-=$gold;
                $session['user']['gems']-=$gems;
            
                // Navigation hinzufgen
                addnav("Wege");
                addnav("zurck zur Knappschaft","knappschaft.php");
                addnav("$ortname","$dorf");
            }            
        }
        else {
            
            // Ausgabetext das dem Knappen kein Name gegeben wurde
            output("Aber`y ".$anr." ".$name.", Ihr Knappe kann doch nicht Namenlos bleiben. Bitte geben Sie ihm einen Namen.
                    Ohne den knnen wir Ihnen leider keinen Knappen verkaufen. Nur wir hier im Orden verzichten auf die Weltliche
                    Anrede, aber da draussen in der Normalen Welt, ist es Unverzichtbar einen eigenen Namen zu haben. 
            ");
            
            // Navigation hinzufgen
            addnav("Knappen");
            addnav("Level ".$k1_level."","knappschaft.php?op=buy&level=".$k1_level."");
            addnav("Level ".$k2_level."","knappschaft.php?op=buy&level=".$k2_level."");
            addnav("Level ".$k3_level."","knappschaft.php?op=buy&level=".$k3_level."");
            addnav("Level ".$k4_level."","knappschaft.php?op=buy&level=".$k4_level."");
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
    }
    else if ($_GET['level']==$k1_level) {
        
        // setzen des Preises und des Levels
        $gold = $k1_gold;
        $gems = $k1_gems;
        $level = $k1_level;
        
        // Kann der Knappe bezahlt werden?
        if ($u['gold']>=$gold && $u['gems']>=$gems) {
            
            // Text fr Knappen kaufen
            output("Hier habe ich meinen strksten Kmpfer in Level `d".$level."`y ".$anr." ".$name.", er ist kerngesund und wrde sich freuen
                   an Ihrer Seite dienen zu drfen. Die Aufwandsentschdigung wrde in diesem Fall `d".$gold." `yGold und `d".$gems." `yEdelsteine betragen.
                   Jetzt liegt es an Ihnen ob Sie ihn direkt an Ihre Seite nehmen mchten. 
            ");
            
            // Namenseingabefeld wird erstellt
            output("<form action='knappschaft.php?op=buy&level=select&id=1' method='POST'>`n`n",true);
            output("`wWelchen Namen soll der Knappe tragen? <input id='buy' name='name' size='25' maxlength='".$klen."'> <input type='submit' class='button' value='Kaufen'>`n`n</form>",true);
            output("<script language='javascript'>document.getElementById('buy').focus();</script>",true);
            addnav("","knappschaft.php?op=buy&level=select&id=1");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
        
        // Scheinbar kann er nicht bezahlt werden
        else {
            
            // Ausgabetext das nicht die ntigen Mittel vorhanden sind
            output("Nun gut ".$anr." ".$name.", bitte kommen Sie wieder wenn Sie bereit sind die kleine Spende von ".$gold." Gold und ".$gems." Edelsteinen
                    zu entrichten, auch wir mssen von etwas leben und haben nichts zu verschenken. Solange Sie nicht genug Gold oder Edelsteine
                    dabei haben.
            ");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
    }
    else if ($_GET['level']==$k2_level) {
        
        // setzen des Preises und des Levels
        $gold = $k2_gold;
        $gems = $k2_gems;
        $level = $k2_level;
        
        // Kann der Knappe bezahlt werden?
        if ($u['gold']>=$gold && $u['gems']>=$gems) {
            
            // Text fr Knappen kaufen
            output("Hier habe ich meinen strksten Kmpfer in Level `d".$level."`y ".$anr." ".$name.", er ist kerngesund und wrde sich freuen
                   an Ihrer Seite dienen zu drfen. Die Aufwandsentschdigung wrde in diesem Fall `d".$gold." `yGold und `d".$gems." `yEdelsteine betragen.
                   Jetzt liegt es an Ihnen ob Sie ihn direkt an Ihre Seite nehmen mchten. 
            ");
            
            // Namenseingabefeld wird erstellt
            output("<form action='knappschaft.php?op=buy&level=select&id=2' method='POST'>`n`n",true);
            output("`wWelchen Namen soll der Knappe tragen? <input id='buy' name='name' size='25' maxlength='".$klen."'> <input type='submit' class='button' value='Kaufen'>`n`n</form>",true);
            output("<script language='javascript'>document.getElementById('buy').focus();</script>",true);
            addnav("","knappschaft.php?op=buy&level=select&id=2");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
        
        // Scheinbar kann er nicht bezahlt werden
        else {
            
            // Ausgabetext das nicht die ntigen Mittel vorhanden sind
            output("Nun gut ".$anr." ".$name.", bitte kommen Sie wieder wenn Sie bereit sind die kleine Spende von ".$gold." Gold und ".$gems." Edelsteinen
                    zu entrichten, auch wir mssen von etwas leben und haben nichts zu verschenken. Solange Sie nicht genug Gold oder Edelsteine
                    dabei haben.
            ");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
    }
    else if ($_GET['level']==$k3_level) {
        
        // setzen des Preises und des Levels
        $gold = $k3_gold;
        $gems = $k3_gems;
        $level = $k3_level;
        
        // Kann der Knappe bezahlt werden?
        if ($u['gold']>=$gold && $u['gems']>=$gems) {
            
            // Text fr Knappen kaufen
            output("Hier habe ich meinen strksten Kmpfer in Level `d".$level."`y ".$anr." ".$name.", er ist kerngesund und wrde sich freuen
                   an Ihrer Seite dienen zu drfen. Die Aufwandsentschdigung wrde in diesem Fall `d".$gold." `yGold und `d".$gems." `yEdelsteine betragen.
                   Jetzt liegt es an Ihnen ob Sie ihn direkt an Ihre Seite nehmen mchten. 
            ");
            
            // Namenseingabefeld wird erstellt
            output("<form action='knappschaft.php?op=buy&level=select&id=3' method='POST'>`n`n",true);
            output("`wWelchen Namen soll der Knappe tragen? <input id='buy' name='name' size='25' maxlength='".$klen."'> <input type='submit' class='button' value='Kaufen'>`n`n</form>",true);
            output("<script language='javascript'>document.getElementById('buy').focus();</script>",true);
            addnav("","knappschaft.php?op=buy&level=select&id=3");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
        
        // Scheinbar kann er nicht bezahlt werden
        else {
            
            // Ausgabetext das nicht die ntigen Mittel vorhanden sind
            output("Nun gut ".$anr." ".$name.", bitte kommen Sie wieder wenn Sie bereit sind die kleine Spende von ".$gold." Gold und ".$gems." Edelsteinen
                    zu entrichten, auch wir mssen von etwas leben und haben nichts zu verschenken. Solange Sie nicht genug Gold oder Edelsteine
                    dabei haben.
            ");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
    }
    else if ($_GET['level']==$k4_level) {
        
        // setzen des Preises und des Levels
        $gold = $k4_gold;
        $gems = $k4_gems;
        $level = $k4_level;
        
        // Kann der Knappe bezahlt werden?
        if ($u['gold']>=$gold && $u['gems']>=$gems) {
            
            // Text fr Knappen kaufen
            output("Hier habe ich meinen strksten Kmpfer in Level `d".$level."`y ".$anr." ".$name.", er ist kerngesund und wrde sich freuen
                   an Ihrer Seite dienen zu drfen. Die Aufwandsentschdigung wrde in diesem Fall `d".$gold." `yGold und `d".$gems." `yEdelsteine betragen.
                   Jetzt liegt es an Ihnen ob Sie ihn direkt an Ihre Seite nehmen mchten. 
            ");
            
            // Namenseingabefeld wird erstellt
            output("<form action='knappschaft.php?op=buy&level=select&id=4' method='POST'>`n`n",true);
            output("`wWelchen Namen soll der Knappe tragen? <input id='buy' name='name' size='25' maxlength='".$klen."'> <input type='submit' class='button' value='Kaufen'>`n`n</form>",true);
            output("<script language='javascript'>document.getElementById('buy').focus();</script>",true);
            addnav("","knappschaft.php?op=buy&level=select&id=4");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
        
        // Scheinbar kann er nicht bezahlt werden
        else {
            
            // Ausgabetext das nicht die ntigen Mittel vorhanden sind
            output("Nun gut ".$anr." ".$name.", bitte kommen Sie wieder wenn Sie bereit sind die kleine Spende von ".$gold." Gold und ".$gems." Edelsteinen
                    zu entrichten, auch wir mssen von etwas leben und haben nichts zu verschenken. Solange Sie nicht genug Gold oder Edelsteine
                    dabei haben.
            ");
            
            // Navigation hinzufgen
            addnav("Wege");
            addnav("zurck zur Knappschaft","knappschaft.php");
            addnav("$ortname","$dorf");
        }
    }
}

page_footer();
?>
